package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag103R;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT103REMITCreator;

public class Tag20Creator extends AbsTagCreate {
    private MT103REMITCreator mt103RemitCreator;

    public Tag20Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt103RemitCreator = (MT103REMITCreator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag20Value = mt103RemitCreator.getSendersReference();
        mt103RemitCreator.set("20", tag20Value);
    }
}
